{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% set _breadcrumb = [['Mon profil', 'account.user'], 'Paramètres' ] %}
{% extends 'account/_layout.html.twig' %}
{% form_theme form 'bootstrap_3_layout.html.twig' %}

{% block subcontent %}
    <div class="box no-border">
        <div class="box-body p-5">
            {{ form_start(form, {'action': app.request.pathinfo}) }}
            {{ form_row(form.periodicNotifications, { 'attr': {'class': 'mb-10'} }) }}
            <div class="form-group">
                <div id="account_params_thresholdNotifications">
                    <label class="control-label">Notifications sur dépassement de seuil d'évolution (en %)</label>
                    <div class="help-block">
                        <i class="fa fa-info-circle"></i>
                        Ces notifications seront déclenchées dès lors que l'évolution par rapport à la veille, exprimée en %, dépasse le seuil indiqué.
                    </div>
                    {% for anomalyType, anomalyLabel in anomalyTypes %}
                        <div class="row">
                            {% set height = form_errors(attribute(form, "threshold_" ~ anomalyType)) ? "55px" : "30px" %}
                            <div class="col-sm-4" style="height: {{ height }}">
                                {{ form_row(attribute(form, "anomaly_" ~ anomalyType), {
                                    'checked': anomalyValues[anomalyType]
                                }) }}
                            </div>
                            <div class="col-sm-8"
                                 style="height: {{ height }}"
                                 data-visibility-target="#account_params_anomaly_{{ anomalyType }}"
                                 data-visibility-action="show"
                                 data-visibility-value="true"
                            >
                                {{ form_row(attribute(form, "threshold_" ~ anomalyType), {
                                    'value': thresholdValues[anomalyType]
                                }) }}
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
            <button class="btn btn-primary" type="submit">Enregistrer</button>
            {{ form_end(form) }}
        </div>
    </div>

{% endblock %}
